about summary refs log tree commit diff
path: root/tests/multiple-outputs.sh
diff options
context:
space:
mode:
authorShea Levy <shea@shealevy.com>2011-09-14T05·59+0000
committerShea Levy <shea@shealevy.com>2011-09-14T05·59+0000
commit8f28a3ba25dd0dad6411a039bc01ad87c61a6e59 (patch)
tree1281600c0122c44543c8ac17a80a7bf63fe10d2c /tests/multiple-outputs.sh
parentc172d16b00dd2126eb7c4f12c26f1e30e4356f07 (diff)
Add a test for multiple outputs
This currently fails. Yay test-driven development!
Diffstat (limited to 'tests/multiple-outputs.sh')
-rw-r--r--tests/multiple-outputs.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/multiple-outputs.sh b/tests/multiple-outputs.sh
new file mode 100644
index 0000000000..f4cd01234c
--- /dev/null
+++ b/tests/multiple-outputs.sh
@@ -0,0 +1,15 @@
+source common.sh
+
+echo "Testing multiple outputs..."
+
+drvPath=$($nixinstantiate multiple-outputs.nix)
+
+echo "derivation is $drvPath"
+
+outPath=$($nixstore -rvv "$drvPath")
+
+echo "output path is $outPath"
+
+text=$(cat "$outPath"/file)
+if test "$text" != "success"; then exit 1; fi
+